summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorkuzetsa <kuzetsa@gmail.com>2017-09-13 10:00:09 -0400
committerMichael Palimaka <kensington@gentoo.org>2017-09-14 00:17:47 +1000
commit8da0c34d43141bcc220f12616626efb65605f81e (patch)
tree5e01dbff719c51c9f9323976090b63deb7e552cd /sys-kernel
parentapp-admin/puppet: marked ~ppc64 (diff)
downloadgentoo-8da0c34d43141bcc220f12616626efb65605f81e.tar.gz
gentoo-8da0c34d43141bcc220f12616626efb65605f81e.tar.bz2
gentoo-8da0c34d43141bcc220f12616626efb65605f81e.zip
sys-kernel/ck-sources: v.bump (4.9.49 & 4.12.12)
Package-Manager: Portage-2.3.6, Repoman-2.3.1
Diffstat (limited to 'sys-kernel')
-rw-r--r--sys-kernel/ck-sources/Manifest6
-rw-r--r--sys-kernel/ck-sources/ck-sources-4.12.12.ebuild60
-rw-r--r--sys-kernel/ck-sources/ck-sources-4.9.49.ebuild65
3 files changed, 131 insertions, 0 deletions
diff --git a/sys-kernel/ck-sources/Manifest b/sys-kernel/ck-sources/Manifest
index 8acca13c1f9..e1dba7995ca 100644
--- a/sys-kernel/ck-sources/Manifest
+++ b/sys-kernel/ck-sources/Manifest
@@ -17,6 +17,9 @@ DIST genpatches-4.12-11.extras.tar.xz 17356 SHA256 c6d71ffa985b8240b4954db9d402f
DIST genpatches-4.12-12.base.tar.xz 215648 SHA256 3d0978b85c6409024d17a4d3c2ebf8a9be2cdb0b235f1f46626699c833b6aa12 SHA512 c2a8a604c3c46c133532c6617bfd3ecf6bf3793e5f7c8d448c4a83d123c26d1527a6d9c330b79c81fa588bcb16f60a36716cc55f3f806fcaee44a7ae273e2c9d WHIRLPOOL c18e5063d80cb1d67508cd25ad1d680a403e9bdd9e373871c173b403923f1fdc73fe0913fba80ef99a3cc305830267d94c7c61794eb04862575111e50e862a0d
DIST genpatches-4.12-12.experimental.tar.xz 5188 SHA256 d8c82f84f66448a83ab6736d0b1faa965d4bbaf59646ca9fee9d49a1d113dd48 SHA512 44c6332a180a867ae3e49f492f723ae4419c43074da070a0d510ad98b1e815d9350c81f6171e4ca8a67210a8c2dcebd3a552162c4f04db7cf1c5e9d8ffa72fd8 WHIRLPOOL 06491a4a3ef26a562e16cec30295eb2333553df350607302d8e79909059008b5bbd8fa00ec2241f633cf090aeba5022843edbd1603bef79b616a25cc8f639acb
DIST genpatches-4.12-12.extras.tar.xz 17352 SHA256 c2dffccc6da3948e6d8fbda3193e95f254025d4e924dbb7936b3b1a7cedf6539 SHA512 159f0649c7ba61942781315568ed03628d636220c5b3c4eb9ba65cb829dcf18cb970f63318937dfe0175eb526e3a99253f2dc7e6c38b4d2a5cc0998da3364c9c WHIRLPOOL 8d48237dd4312df2edfdc074a950419e653b53c6d735614166d9d986f0bf7eb6c109628cd91dee8b52e9de4e477774a93af105848adfd633402874ec5f9c4905
+DIST genpatches-4.12-13.base.tar.xz 227724 SHA256 3267458204389194a541fe3b887b3f42ea143f2f0eb6d7e7196eaf07ab32cd83 SHA512 6088bbe9b0007715e146917cb4288df69ee0d6a4e5628db90005c68d025bd12e304dd9e00e51a5a1a6844ed06a09571e9faec494257fd2aa3d6abc3bc9838000 WHIRLPOOL 87a4ec363cc74a12b76211f89db421062ae16ad453816384ef47782d3cd1dc609d103ab8746f7a5f41851355bc300931a4815bf33f42290eaad8c23c5c97f3d3
+DIST genpatches-4.12-13.experimental.tar.xz 5188 SHA256 93fee6ffdc200c451bbe3a8c96feb343819390171d7d11d0559bd7c2eb24f6c1 SHA512 80adbc13d7478b5c55b0b6380ffb1ba42cc10de8eb996db0457a1df6677e401d612f74ab756a9bab83b99f857af323d9d7fa6c36ace9aa0950671e1843c84777 WHIRLPOOL 43a63c45959046f616619cfcce36c398e55a2aca8c58d744f2a2fbd1123964a5d3d32905878a63e929ba7b73527753e305a1b52e9ba7af66247b714472e6734e
+DIST genpatches-4.12-13.extras.tar.xz 17352 SHA256 89e50dd5fdfe8736684b8b9da3980ef29865c28bdb2f9a86a91b5d90c4c7d3de SHA512 2f7f76e090926cff4c2980215a51cc745d8aa14a9153a8cd6170fee94e21d1b31beae0209d23963c7cc71bbcd0dbc6789e4b3eb0d8c6a0184c128a54bef44bdd WHIRLPOOL bdc6b2b96d38c8d34d384d75d1e95a988fa091295afad6242509ac56cc998784746e2e5e9571a7e2667173d45f9facc1ec498966a3f19c1ce4cd0a6e3c8b80a0
DIST genpatches-4.12-7.base.tar.xz 145740 SHA256 fe5ee55518eb59d7381806dfbd90ab33b9d16d99f1d3dc98e3fa9c3963ab64b7 SHA512 0b772a56ae1a5819fc0fa8dc130c9f2c7701e9ebffb216b37714684811d6ea92b52a3c5720a4417893b9ebd97fee56605f5a821eee964418ae6b7d09b942acd1 WHIRLPOOL b59379a8818f75ee0b1461d2edc732cf6f3c9ff2c058d4bff4767d3240ab4266a815252e16bcf5fc1d9c2365fe8096cdf710d8dca46108f6bf82a94df2f64cc5
DIST genpatches-4.12-7.experimental.tar.xz 5188 SHA256 b2371110a69f6e68e3bbaf2ecfaf9f8589824de94ff3f1bffceeb49948a659fe SHA512 6204a007435249ec10b68718b1e63ceb446d13bfd7b1af9f40b88fa7c5a485633b7dfbafd71302dc1041ad1f83e01eb5c6c458e517a679b6c8085cf545e5be4e WHIRLPOOL 6d4d9bdaa52404a038c2f53cad0e10c088f6ccdb9400983bbc13801b37e2aa8c89266d44318fa8925341e7e33a0146c68a718cbfb9126f673558dfafc1e4d5dc
DIST genpatches-4.12-7.extras.tar.xz 17356 SHA256 bc6c9e7e68f5cd1a011e72165fa07d80cd55fcee72ba2b41f2005cac9c60c0fc SHA512 5a21b90460759b52f4a100fd649746c1082871dd4bb69d84dd49ee1682d203dba024398eb844eda7c545a8a405d28600059fd7c21d1f3db25ce750283fe3015c WHIRLPOOL 4d886e5e702a3ec5c24543f7f8e33bcd889d71a69d6dd6ad4a8d40ad17d11c270f81d17cd91f096f7e2f66870717ed0d439a4a85ecf6f9f9effd70e3806d5ed4
@@ -53,6 +56,9 @@ DIST genpatches-4.9-48.extras.tar.xz 17352 SHA256 17a96839ac1d2397aba183c2fda67b
DIST genpatches-4.9-49.base.tar.xz 994248 SHA256 e613b3d0f7503d89548383c28ecd888668f14a4d69f2572695eadd2ce481e017 SHA512 3999ac8e946c1e5c03ff70d4e5852e854bd0dc88161537274438da82faaaf4f929ef6fe2e30bcdb1d46da8c844546a795c35ebd088ceebc6a02d1be781c0c429 WHIRLPOOL f89ad939b53dc904e4af69d63d54126e635576fdc1d8c3db19f5b4f6ad5798678a0f1feb372accbcfc148b1a2165dde10603e11dccd5e53a2765143ff18878b8
DIST genpatches-4.9-49.experimental.tar.xz 106376 SHA256 3c4d204d5d227b2ca568e04592874e000b1060ee8674fd6700ce7606a8371227 SHA512 9cc8c020b02d73fd0ae0a6357badee663edc87cd9989d94d584d8c8b2a64bbcd76758a0bd09a6ac3333abc105dedd131b522b1f14a88bd1dd674e130b15b4b87 WHIRLPOOL e1468caaf0216d893adc3fdb1563954adc64686473bc6cd5d8ad20b1a87a5b9afed11812680a44390587de794d0ea4249c7ab598fa4f6e731b8918531f7a9ed3
DIST genpatches-4.9-49.extras.tar.xz 17352 SHA256 c2dffccc6da3948e6d8fbda3193e95f254025d4e924dbb7936b3b1a7cedf6539 SHA512 159f0649c7ba61942781315568ed03628d636220c5b3c4eb9ba65cb829dcf18cb970f63318937dfe0175eb526e3a99253f2dc7e6c38b4d2a5cc0998da3364c9c WHIRLPOOL 8d48237dd4312df2edfdc074a950419e653b53c6d735614166d9d986f0bf7eb6c109628cd91dee8b52e9de4e477774a93af105848adfd633402874ec5f9c4905
+DIST genpatches-4.9-50.base.tar.xz 999876 SHA256 033de360c5f3ea42d26ad196b2bb5db44c9bbded5c66234bbb9018ccb6dd2ad1 SHA512 5a5f7114ef51d0d70affd78b9bb16909ef16f7069bc3398c50d2aca660c959cd3097ac773baaa65be325620c04399e126b18ef2b09cb8728725d4ce407b131f1 WHIRLPOOL 63ea77be9fbcfdd2315b53c874829c353133a4092d7be724f0ad1906c8f36057654eb8f9a2a0cdbbc3880c4e46333d2aca5c19c9cbaca6eb9f55b2fe038a2460
+DIST genpatches-4.9-50.experimental.tar.xz 106436 SHA256 719cb5daff4b3b65624a4cecd95dd891d4305649ecd2fbbd25136876966f7605 SHA512 62c2f1df889dacc6bc912c772d718776fd9a326a6fe2cc33f88efeeb27ff648af6fdc3cd946bec7d1e7baae3c3749e799c5d64b8bf0c8377b66a8bdb325dc565 WHIRLPOOL 8a8ccd79065db426972517fb578d9a1a1d9a8317a370bcb3aa6c288e5c9a9658171baca6366b1112f597f87ed7487f6d7db7754327d0cc7ff5b2838862ef9163
+DIST genpatches-4.9-50.extras.tar.xz 17360 SHA256 5fa1db5d0093b52eac28a7a849b90b1cc3923f7fd046a335db36b48231dcafb6 SHA512 11d187db7d077ab022aa71e14da0786c19f00f38ae97c7feafbfe15fcdd4589c06cdbc175adc7ee3daf66dbf79845b28eab156c3c6728d326f76b2db794b9370 WHIRLPOOL b86fb3002287632156116bcd47387462773782483d4be3276f49904f4400aa12ed9a488fbc494494a7f17a4151e30b501a2bc819741b3c685755bc966aa8a929
DIST linux-4.11.tar.xz 95447768 SHA256 b67ecafd0a42b3383bf4d82f0850cbff92a7e72a215a6d02f42ddbafcf42a7d6 SHA512 6610eed97ffb7207c71771198c36179b8244ace7222bebb109507720e26c5f17d918079a56d5febdd8605844d67fb2df0ebe910fa2f2f53690daf6e2a8ad09c3 WHIRLPOOL f577b7c5c209cb8dfef2f1d56d77314fbd53323743a34b900e2559ab0049b7c2d6262bda136dd3d005bc0527788106e0484e46558448a8720dac389a969e5886
DIST linux-4.12.tar.xz 99186576 SHA256 a45c3becd4d08ce411c14628a949d08e2433d8cdeca92036c7013980e93858ab SHA512 8e81b41b253e63233e92948941f44c6482acb52aa3a3fd172f03a38a86f2c35b2ad4fd407acd1bc3964673eba344fe104d3a03e3ff4bf9cd1f22bd44263bd728 WHIRLPOOL 3b97da251c2ba4ace4a27b708f2b1dcf94cb1b59aaeded6acb74bd98f0d3e33f1df83670665e4186d99a55daa84c88d539d93e20f0ff18a6d46ef326c48dd375
DIST linux-4.9.tar.xz 93192404 SHA256 029098dcffab74875e086ae970e3828456838da6e0ba22ce3f64ef764f3d7f1a SHA512 bf67ff812cc3cb7e5059e82cc5db0d9a7c5637f7ed9a42e4730c715bf7047c81ed3a571225f92a33ef0b6d65f35595bc32d773356646df2627da55e9bc7f1f1a WHIRLPOOL 072505b29972ad120eb25a074217847c9c2813416c4903e605a0433574f5f87616dbea0b1454e4b19acc48107f11274b682958b1d773373156e99f8163e6606a
diff --git a/sys-kernel/ck-sources/ck-sources-4.12.12.ebuild b/sys-kernel/ck-sources/ck-sources-4.12.12.ebuild
new file mode 100644
index 00000000000..ef8f456d5a0
--- /dev/null
+++ b/sys-kernel/ck-sources/ck-sources-4.12.12.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+ETYPE="sources"
+KEYWORDS="~amd64 ~x86"
+
+HOMEPAGE="https://dev.gentoo.org/~mpagano/genpatches/
+ http://users.tpg.com.au/ckolivas/kernel/"
+
+K_WANT_GENPATCHES="base extras experimental"
+K_EXP_GENPATCHES_PULL="1"
+K_EXP_GENPATCHES_NOUSE="1"
+K_GENPATCHES_VER="13"
+K_SECURITY_UNSUPPORTED="1"
+K_DEBLOB_AVAILABLE="1"
+
+PYTHON_COMPAT=( python2_7 )
+inherit python-any-r1 kernel-2
+detect_version
+detect_arch
+
+DEPEND="deblob? ( ${PYTHON_DEPS} )"
+
+K_BRANCH_ID="${KV_MAJOR}.${KV_MINOR}"
+
+DESCRIPTION="Con Kolivas' high performance patchset and Gentoo's genpatches for Linux ${K_BRANCH_ID}"
+
+CK_VERSION="2"
+
+CK_FILE="patch-${K_BRANCH_ID}-ck${CK_VERSION}.xz"
+
+CK_BASE_URL="http://ck.kolivas.org/patches/4.0"
+CK_LVER_URL="${CK_BASE_URL}/${K_BRANCH_ID}/${K_BRANCH_ID}-ck${CK_VERSION}"
+CK_URI="${CK_LVER_URL}/${CK_FILE}"
+
+SRC_URI="${KERNEL_URI} ${GENPATCHES_URI} ${ARCH_URI} ${CK_URI}"
+
+UNIPATCH_LIST="${DISTDIR}/${CK_FILE}"
+UNIPATCH_STRICTORDER="yes"
+
+# ck-patches already includes BFQ (similar version as genpatches "experimental" USE flag)
+# what's not included is: "additional cpu optimizations" (5010) from genpatches experimental
+
+K_EXP_GENPATCHES_LIST="5010_*.patch*"
+
+pkg_setup() {
+ use deblob && python-any-r1_pkg_setup
+ kernel-2_pkg_setup
+}
+
+src_prepare() {
+
+#-- Comment out CK's EXTRAVERSION in Makefile ---------------------------------
+
+ # linux-info eclass cannot handle recursively expanded variables in Makefile #490328
+ sed -i -e 's/\(^EXTRAVERSION :=.*$\)/# \1/' "${S}/Makefile" || die
+
+ kernel-2_src_prepare
+}
diff --git a/sys-kernel/ck-sources/ck-sources-4.9.49.ebuild b/sys-kernel/ck-sources/ck-sources-4.9.49.ebuild
new file mode 100644
index 00000000000..2489b4dde6a
--- /dev/null
+++ b/sys-kernel/ck-sources/ck-sources-4.9.49.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+ETYPE="sources"
+KEYWORDS="~amd64 ~x86"
+
+HOMEPAGE="https://dev.gentoo.org/~mpagano/genpatches/
+ http://users.tpg.com.au/ckolivas/kernel/"
+
+K_WANT_GENPATCHES="base extras experimental"
+K_EXP_GENPATCHES_PULL="1"
+K_EXP_GENPATCHES_NOUSE="1"
+K_GENPATCHES_VER="50"
+K_SECURITY_UNSUPPORTED="1"
+K_DEBLOB_AVAILABLE="1"
+
+PYTHON_COMPAT=( python2_7 )
+inherit python-any-r1 kernel-2
+detect_version
+detect_arch
+
+DEPEND="deblob? ( ${PYTHON_DEPS} )"
+
+K_BRANCH_ID="${KV_MAJOR}.${KV_MINOR}"
+
+DESCRIPTION="Con Kolivas' high performance patchset and Gentoo's genpatches for Linux ${K_BRANCH_ID}"
+
+CK_VERSION="1"
+
+CK_FILE="patch-${K_BRANCH_ID}-ck${CK_VERSION}.xz"
+
+CK_BASE_URL="http://ck.kolivas.org/patches/4.0"
+CK_LVER_URL="${CK_BASE_URL}/${K_BRANCH_ID}/${K_BRANCH_ID}-ck${CK_VERSION}"
+CK_URI="${CK_LVER_URL}/${CK_FILE}"
+
+# solves bug #606866 (Fix build for CONFIG_FREEZER disabled.x)
+FRZR_HASH="7de569950716147ed436b27936628ee3ab5b45cc"
+FRZR_FILE="${PN}-4.9-freezer-fix.patch"
+FRZR_URI="https://github.com/ckolivas/linux/commit/${FRZR_HASH}.patch -> ${FRZR_FILE}"
+
+SRC_URI="${KERNEL_URI} ${GENPATCHES_URI} ${ARCH_URI} ${CK_URI} ${FRZR_URI}"
+
+UNIPATCH_LIST="${DISTDIR}/${CK_FILE} ${DISTDIR}/${FRZR_FILE}"
+UNIPATCH_STRICTORDER="yes"
+
+# ck-patches already includes BFQ (similar version as genpatches "experimental" USE flag)
+# what's not included is: "additional cpu optimizations" (5010) from genpatches experimental
+
+K_EXP_GENPATCHES_LIST="5010_*.patch*"
+
+pkg_setup() {
+ use deblob && python-any-r1_pkg_setup
+ kernel-2_pkg_setup
+}
+
+src_prepare() {
+
+#-- Comment out CK's EXTRAVERSION in Makefile ---------------------------------
+
+ # linux-info eclass cannot handle recursively expanded variables in Makefile #490328
+ sed -i -e 's/\(^EXTRAVERSION :=.*$\)/# \1/' "${S}/Makefile" || die
+
+ kernel-2_src_prepare
+}